Page MenuHomePhabricator

Expand the set of bundled extensions and skins in MediaWiki 1.34
Closed, ResolvedPublic

Description

T196650: Expand the set of bundled extensions and skins in MediaWiki 1.32 || T232854: Expand the set of bundled extensions and skins in MediaWiki 1.35

Current proposal:

Extension/Skin PagePhabricator TaskRequested at Suggestions for extensions to be integratedExtension Distributor Top 15 RankWikiApiary Site CountRequires ConfigurationDone
ScribuntoT191737yes43,331noyes
TextExtractsT229127no1,567noyes
PageImagesT229128no2,328noyes

Bundled extensions should satisfy the following conditions:

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Runs seccheck
  • Supports MySQL, SQLite, and Postgres (if there are schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2018, 6:58 PM
Jdforrester-WMF renamed this task from Expand the set of bundled extensions and skins in MediaWiki 1.33 to Expand the set of bundled extensions and skins in MediaWiki 1.34.Jun 7 2019, 9:00 PM
Jdforrester-WMF edited projects, added MW-1.34-release; removed MW-1.33-release.
CCicalese_WMF updated the task description. (Show Details)
CCicalese_WMF triaged this task as Normal priority.Sep 13 2019, 4:12 PM
Physikerwelt updated the task description. (Show Details)Sep 17 2019, 3:48 PM
Jdforrester-WMF closed this task as Resolved.Sep 18 2019, 5:54 PM
Jdforrester-WMF updated the task description. (Show Details)